var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconDataSetDetailComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-data_set_detail").concat(loadingKls, " ").concat(className), width: width, height: height, viewBox: "0 0 16 16", fill: useCurrentColor ? 'currentColor' : 'none', xmlns: "http://www.w3.org/2000/svg" }, rest, { ref: ref }),
        React.createElement("rect", { width: "16", height: "16", rx: "4", fill: useCurrentColor ? 'currentColor' : '#EAEDF1' }),
        React.createElement("path", { d: "M7.6768 10.6304C7.85523 10.7337 8.14453 10.7337 8.32297 10.6304L10.9769 9.0939L12.5429 10.0007C12.7214 10.1041 12.7214 10.2716 12.5429 10.3749L8.32297 12.8181C8.14453 12.9214 7.85523 12.9214 7.6768 12.8181L3.457 10.3746C3.27857 10.2713 3.27858 10.1038 3.45701 10.0004L5.02307 9.09375L7.6768 10.6304Z", fill: useCurrentColor ? 'currentColor' : '#5E6673' }),
        React.createElement("path", { d: "M7.6768 8.7751C7.85523 8.87842 8.14453 8.87843 8.32297 8.77512L11.2639 7.07244L12.5429 7.81309C12.7214 7.91642 12.7214 8.08392 12.5429 8.18723L8.32297 10.6305C8.14453 10.7338 7.85523 10.7338 7.6768 10.6304L3.457 8.18694C3.27857 8.08362 3.27858 7.91611 3.45701 7.8128L4.73608 7.07227L7.6768 8.7751Z", fill: useCurrentColor ? 'currentColor' : '#5E6673', fillOpacity: ".5" }),
        React.createElement("path", { d: "M8.32297 8.77511C8.14453 8.87842 7.85523 8.87841 7.6768 8.77509L3.457 6.3316C3.27857 6.22828 3.27858 6.06077 3.45701 5.95746L7.67697 3.51424C7.85541 3.41093 8.1447 3.41094 8.32314 3.51426L12.5429 5.95775C12.7214 6.06108 12.7214 6.22858 12.5429 6.33189L8.32297 8.77511Z", fill: useCurrentColor ? 'currentColor' : '#5E6673' }));
}
var IconDataSetDetail = React.forwardRef(IconDataSetDetailComponent);
export default IconDataSetDetail;
